## python-pluggy 0.3.0

=== debian/changelog ===
python-pluggy (0.3.0-1) unstable; urgency=medium

  * Initial release. (Closes: #785242)

 -- Barry Warsaw <barry@debian.org>  Fri, 15 May 2015 16:17:51 -0400

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pluggy
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS="$(CURDIR)/test_pluggy.py"

#export PYBUILD_VERBOSE=1
#export DH_VERBOSE=1


%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## python-pluggy 1.6.0

=== docs/requirements.txt ===
# Higher bound for safety, can bump it if builds fine with new major versions.
sphinx>=6,<8
pygments
towncrier

## python-pluggy 0.3.1

=== debian/changelog ===
python-pluggy (0.3.1-1) unstable; urgency=medium

  * New upstream release.
  * d/rules: Update test_pluggy.py location.

 -- Barry Warsaw <barry@debian.org>  Mon, 14 Dec 2015 15:55:33 -0500

=== debian/control ===
Source: python-pluggy
Maintainer: Barry Warsaw <barry@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Homepage: https://pypi.python.org/pypi/pluggy
Section: python
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-pytest,
               python-setuptools,
               python3-all,
               python3-pytest,
               python3-setuptools
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-pluggy.git
Vcs-Browser: http://anonscm.debian.org/cgit/python-modules/packages/python-pluggy.git

Package: python-pluggy
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: plugin and hook calling mechanisms for Python
 pluggy is the cristallized core of plugin management as used by some 150
 plugins for pytest.
 .
 This is the Python 2 library.

Package: python3-pluggy
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: plugin and hook calling mechanisms for Python
 pluggy is the cristallized core of plugin management as used by some 150
 plugins for pytest.
 .
 This is the Python 3 library.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pluggy
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS="$(CURDIR)/testing/test_pluggy.py"

#export PYBUILD_VERBOSE=1
#export DH_VERBOSE=1


%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/pluggy/pluggy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-pluggy 0.4.0

=== debian/changelog ===
python-pluggy (0.4.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Mon, 06 Mar 2017 21:33:19 +0100

python-pluggy (0.4.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Barry Warsaw ]
  * New upstream release.  (Closes: #839386)
  * d/control: Bump Standards-Version with no other changes needed.

 -- Barry Warsaw <barry@debian.org>  Mon, 03 Oct 2016 11:59:55 -0400

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,9 @@
                python3-all,
                python3-pytest,
                python3-setuptools
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-pluggy.git
-Vcs-Browser: http://anonscm.debian.org/cgit/python-modules/packages/python-pluggy.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-pluggy.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-pluggy.git
 
 Package: python-pluggy
 Architecture: all

## python-pluggy 0.6.0

=== debian/changelog ===
python-pluggy (0.6.0-1) unstable; urgency=medium

  * Team upload

  [ Barry Warsaw ]
  * d/control: Put DPMT in Maintainers and myself in Uploaders.

  [ Ondřej Nový ]
  * New upstream release
  * d/control:
    - Set Vcs-* to salsa.debian.org
    - Remove useless versioning of depends on Python
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol
  * d/rules: Run tests from whole testing directory
  * Bump debhelper compat level to 11
  * Add pypy-pluggy binary package
  * Standards-Version is 4.1.3 now
  * Add autopkgtest-pkg-python testsuite

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Feb 2018 16:38:12 +0100

=== debian/control ===
Source: python-pluggy
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Barry Warsaw <barry@debian.org>
Homepage: https://pypi.python.org/pypi/pluggy
Section: python
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-python,
               python-all,
               python-pytest,
               python-setuptools,
               python3-all,
               python3-pytest,
               python3-setuptools,
               pypy,
               pypy-pytest,
               pypy-setuptools,
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/python-team/modules/python-pluggy.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pluggy
Testsuite: autopkgtest-pkg-python

Package: python-pluggy
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: plugin and hook calling mechanisms for Python - 2.7
 pluggy is the cristallized core of plugin management as used by some 150
 plugins for pytest.
 .
 This is the Python 2 library.

Package: python3-pluggy
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: plugin and hook calling mechanisms for Python - 3.x
 pluggy is the cristallized core of plugin management as used by some 150
 plugins for pytest.
 .
 This is the Python 3 library.

Package: pypy-pluggy
Architecture: all
Depends: ${misc:Depends}, ${pypy:Depends}
Description: plugin and hook calling mechanisms for Python - PyPy
 pluggy is the cristallized core of plugin management as used by some 150
 plugins for pytest.
 .
 This is the PyPy library.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pluggy
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS="$(CURDIR)/testing"

#export PYBUILD_VERBOSE=1
#export DH_VERBOSE=1


%:
	dh $@ --with python2,python3,pypy --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pluggy/pluggy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-pluggy 0.8.0

=== debian/changelog ===
python-pluggy (0.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * d/control:
    - Remove ancient X-Python-Version field
    - Remove ancient X-Python3-Version field
    - Add {python,python3,pypy}-setuptools-scm to B-D
  * Convert git repository from git-dpm to gbp layout
  * Install examples
  * Bump standards version to 4.2.1 (no changes)

 -- Ondřej Nový <onovy@debian.org>  Wed, 07 Nov 2018 13:12:26 +0100

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,22 @@
 Uploaders: Barry Warsaw <barry@debian.org>
 Homepage: https://pypi.python.org/pypi/pluggy
 Section: python
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.4
 Priority: optional
 Build-Depends: debhelper (>= 11),
                dh-python,
                python-all,
                python-pytest,
                python-setuptools,
+               python-setuptools-scm,
                python3-all,
                python3-pytest,
                python3-setuptools,
+               python3-setuptools-scm,
                pypy,
                pypy-pytest,
                pypy-setuptools,
-Standards-Version: 4.1.3
+               pypy-setuptools-scm,
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-pluggy.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pluggy
 Testsuite: autopkgtest-pkg-python

## python-pluggy 0.12.0

=== debian/changelog ===
python-pluggy (0.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Bump debhelper compat level to 12 and use debhelper-compat
  * Bump Standards-Version to 4.4.0 (no changes needed)
  * Add {python,python3,pypy}-importlib-metadata to B-D
  * d/copyright: Merge duplcity, cleanup

 -- Ondřej Nový <onovy@debian.org>  Thu, 01 Aug 2019 16:01:44 +0200

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,24 @@
 Homepage: https://pypi.python.org/pypi/pluggy
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python-all,
+               python-importlib-metadata,
                python-pytest,
                python-setuptools,
                python-setuptools-scm,
                python3-all,
+               python3-importlib-metadata,
                python3-pytest,
                python3-setuptools,
                python3-setuptools-scm,
                pypy,
+               pypy-importlib-metadata,
                pypy-pytest,
                pypy-setuptools,
                pypy-setuptools-scm,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-pluggy.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pluggy
 Testsuite: autopkgtest-pkg-python

## python-pluggy 0.13.0

=== debian/changelog ===
python-pluggy (0.13.0-6) unstable; urgency=medium

  * Team Upload.
  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Nilesh Patra ]
  * Clean _version.py pre-build (Closes: #978275)
  * Declare compliance with policy 4.5.1
  * Switch watch version to 4

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 25 Jan 2021 15:40:57 +0530

python-pluggy (0.13.0-5) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Ondřej Nový ]
  * Drop PyPy support.
  * Set Rules-Requires-Root: no.
  * Bump debhelper compat level to 13.

 -- Ondřej Nový <onovy@debian.org>  Fri, 05 Jun 2020 12:25:14 +0200

python-pluggy (0.13.0-4) unstable; urgency=medium

  * Drop python2 support; Closes: #938032

 -- Sandro Tosi <morph@debian.org>  Tue, 14 Apr 2020 09:48:09 -0400

python-pluggy (0.13.0-3) unstable; urgency=medium

  * Dont run unittests for python2 binary, to reduce pytest rdeps

 -- Sandro Tosi <morph@debian.org>  Mon, 13 Apr 2020 19:50:35 -0400

python-pluggy (0.13.0-2) unstable; urgency=medium

  * Team upload.
  * Add runtime depends on {python,python3,pypy}-importlib-metadata
    (Closes: #942900)

 -- Ondřej Nový <onovy@debian.org>  Wed, 23 Oct 2019 12:18:51 +0200

python-pluggy (0.13.0-1) unstable; urgency=medium

  [ Emmanuel Arias ]
  * Team upload
  * New upstream version 0.13.0 (Closes: #942694)

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Jonathan Carter ]
  * Upload to unstable

 -- Emmanuel Arias <emmanuelarias30@gmail.com>  Tue, 22 Oct 2019 08:43:23 -0300

=== debian/control ===
Source: python-pluggy
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Barry Warsaw <barry@debian.org>
Homepage: https://pypi.python.org/pypi/pluggy
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-importlib-metadata,
               python3-pytest,
               python3-setuptools,
               python3-setuptools-scm,
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pluggy.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pluggy
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-pluggy
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-importlib-metadata
Description: plugin and hook calling mechanisms for Python - 3.x
 pluggy is the cristallized core of plugin management as used by some 150
 plugins for pytest.
 .
 This is the Python 3 library.

=== debian/rules ===
--- 
+++ 
@@ -9,4 +9,8 @@
 
 
 %:
-	dh $@ --with python2,python3,pypy --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f src/pluggy/_version.py

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pluggy/pluggy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-pluggy 1.0.0+repack

=== debian/changelog ===
python-pluggy (1.0.0+repack-1) unstable; urgency=medium

  * Team upload.
  * Switch d/watch to Github to avoid _version.py
  * New upstream version 1.0.0+repack
  * Add d/clean for generated files (Closes: #1015124)
  * Bump policy version (no changes)
  * Update links (thanks lintian)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 16 Jul 2022 22:26:24 +0200

python-pluggy (1.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.0.0
  * Use declarative packaging
  * Drop old importlib dependency
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 15 Mar 2022 15:26:42 +0100

python-pluggy (0.13.0-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * source only upload to enable migration (Closes: #996723)

 -- Paul Gevers <elbrus@debian.org>  Sun, 17 Oct 2021 21:01:40 +0200

python-pluggy (0.13.0-7) unstable; urgency=medium

  * Remove MIA uploader Barry Warsaw <barry@debian.org>. Closes: #970153

 -- Debian Janitor <janitor@jelmer.uk>  Sat, 21 Aug 2021 12:43:47 +0100

=== debian/control ===
Source: python-pluggy
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Homepage: https://pluggy.readthedocs.io/en/latest/
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-pytest,
               python3-setuptools,
               python3-setuptools-scm,
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pluggy.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pluggy
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-pluggy
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: plugin and hook calling mechanisms for Python - 3.x
 pluggy is the cristallized core of plugin management as used by some 150
 plugins for pytest.
 .
 This is the Python 3 library.

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,4 @@
 
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
-
-override_dh_auto_clean:
-	dh_auto_clean
-	rm -f src/pluggy/_version.py
+	dh $@ --buildsystem=pybuild

## python-pluggy 1.2.0

=== debian/changelog ===
python-pluggy (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0

 -- Timo Röhling <roehling@debian.org>  Sun, 23 Jul 2023 23:05:41 +0200

python-pluggy (1.0.0+repack-2) unstable; urgency=medium

  * Add myself to uploaders (Closes: #1007716)
  * Bump Standards-Version to 4.6.2
  * Switch to pybuild-plugin-pyproject
  * Simplify d/rules
  * Switch to autopkgtest-pkg-pybuild

 -- Timo Röhling <roehling@debian.org>  Sun, 23 Jul 2023 21:56:55 +0200

## python-pluggy 1.3.0

=== debian/changelog ===
python-pluggy (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0

 -- Timo Röhling <roehling@debian.org>  Tue, 29 Aug 2023 10:23:58 +0200

## python-pluggy 1.4.0

=== debian/changelog ===
python-pluggy (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0

 -- Timo Röhling <roehling@debian.org>  Sun, 28 Jan 2024 15:58:34 +0100

=== debian/control ===
Source: python-pluggy
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Timo Röhling <roehling@debian.org>,
Homepage: https://pluggy.readthedocs.io/en/latest/
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-setuptools-scm,
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pluggy.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pluggy
Testsuite: autopkgtest-pkg-pybuild
Rules-Requires-Root: no

Package: python3-pluggy
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: plugin and hook calling mechanisms for Python - 3.x
 pluggy is the cristallized core of plugin management as used by some 150
 plugins for pytest.
 .
 This is the Python 3 library.

## python-pluggy 1.5.0

=== debian/changelog ===
python-pluggy (1.5.0-1) unstable; urgency=medium

  * New upstream version 1.5.0
  * Bump Standards-Version to 4.7.0
  * Update package description

 -- Timo Röhling <roehling@debian.org>  Wed, 24 Apr 2024 10:40:21 +0200

=== debian/control ===
--- 
+++ 
@@ -13,19 +13,28 @@
  python3-pytest <!nocheck>,
  python3-setuptools,
  python3-setuptools-scm,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pluggy.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pluggy
 Testsuite: autopkgtest-pkg-pybuild
 Rules-Requires-Root: no
+Description: plugin and hook calling mechanisms for Python
+ pluggy is the crystallized core of plugin management and hook calling for
+ pytest. It enables 1400+ plugins to extend and customize pytest’s default
+ behaviour. Even pytest itself is composed as a set of pluggy plugins which are
+ invoked in sequence according to a well defined set of protocols.
+ .
+ It gives users the ability to extend or modify the behaviour of a host program
+ by installing a plugin for that program. The plugin code will run as part of
+ normal program execution, changing or enhancing certain aspects of it.
 
 Package: python3-pluggy
 Architecture: all
 Depends:
  ${misc:Depends},
  ${python3:Depends},
-Description: plugin and hook calling mechanisms for Python - 3.x
- pluggy is the cristallized core of plugin management as used by some 150
- plugins for pytest.
+Description: ${source:Synopsis} 3
+ ${source:Extended-Description}
  .
  This is the Python 3 library.
+

## python-pluggy 1.6.0

=== debian/changelog ===
python-pluggy (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.2

 -- Timo Röhling <roehling@debian.org>  Wed, 13 Aug 2025 12:22:09 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-pytest <!nocheck>,
  python3-setuptools,
  python3-setuptools-scm,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pluggy.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pluggy
 Testsuite: autopkgtest-pkg-pybuild
@@ -37,4 +37,3 @@
  ${source:Extended-Description}
  .
  This is the Python 3 library.
-

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=pluggy
export PYBUILD_TEST_ARGS=testing
export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM)

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
# use Github instead of pypi to avoid importing _version.py
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/pytest-dev/pluggy/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
